## org.codehaus.groovy.ast.expr
Class ArgumentListExpression

Represents one or more arguments being passed into a method

author:
  James Strachan

version:
  $Revision: 6829 $

Field Summary
`ArgumentListExpression` | `EMPTY_ARGUMENTS`
`def` | `EMPTY_ARRAY`

Constructor Summary
`ArgumentListExpression()`
`ArgumentListExpression(List expressions)`
`ArgumentListExpression(def expressions)`
`ArgumentListExpression(def parameters)`
`ArgumentListExpression(Expression expr)`
`ArgumentListExpression(Expression expr1, Expression expr2)`
`ArgumentListExpression(Expression expr1, Expression expr2, Expression expr3)`

Method Summary
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### ArgumentListExpression

    public ArgumentListExpression()

### ArgumentListExpression

    public ArgumentListExpression(List expressions)

### ArgumentListExpression

    public ArgumentListExpression(def expressions)

### ArgumentListExpression

    public ArgumentListExpression(def parameters)

### ArgumentListExpression

    public ArgumentListExpression(Expression expr)

### ArgumentListExpression

    public ArgumentListExpression(Expression expr1, Expression expr2)

### ArgumentListExpression

    public ArgumentListExpression(Expression expr1, Expression expr2, Expression expr3)

Method Detail

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)